UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
com.latencybusters.lbm.LBMXSP Class Reference

LBM XSP class. More...

Inheritance diagram for com.latencybusters.lbm.LBMXSP:

## Classes
struct | lbm_xsp_zero_transports_func_t

## Public Member Functions
| LBMXSP (LBMContext lbmctx, LBMContextAttributes ctxAttr, LBMXSPAttributes xspAttr)
| Instantiate an LBM Source object associated with a given context and topic. More...
void | close ()
| Close and dispose of this XSP. More...
void | Dispose ()
| Same as close. More...
void | processEvents (ulong msec)
| Allow the xsp to process events. More...
void | unblockProcessEvents ()
| unblock a previous call to processEvents

## Detailed Description

LBM XSP class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMXSP.LBMXSP | ( | LBMContext | lbmctx,
|  | LBMContextAttributes | ctxAttr,
|  | LBMXSPAttributes | xspAttr
| ) |  |

Instantiate an LBM Source object associated with a given context and topic.

Warning: It is not safe to call this constructor from a context thread callback.

Parameters

  lbmctx | Context with which to associate the source
  ctxAttr | LBMContextAttributes that this XSP will use.
  xspAttr | LBMXSPAttributes that this XSP will use.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

## Member Function Documentation

void com.latencybusters.lbm.LBMXSP.close | ( |  | ) |

Close and dispose of this XSP.

Warning: It is not safe to call this method from a context thread callback.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

void com.latencybusters.lbm.LBMXSP.Dispose | ( |  | ) |

Same as close.

See also
  close

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

void com.latencybusters.lbm.LBMXSP.processEvents | ( | ulong | msec | ) |

Allow the xsp to process events.

Parameters

  msec | Milliseconds to wait for events before returning

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

The documentation for this class was generated from the following file:

- LBMXSP.cs